Subject: Commit in docs/usefor (usepro.xml)

From: [email-masked]
Date: Tue, 22 May 2007 11:45:28 -0700 (PDT)

Date: Tuesday, May 22, 2007 @ 11:45:26
  Author: eagle
Revision: 2991

Resolution of #1414.  Be clearer about how additional path identities
are prepended, be clear about using !! rather than !, and put the most
canonical Path identity left-most.

Modified:
  docs/usefor/usepro.xml

Modified: docs/usefor/usepro.xml
===================================================================
--- docs/usefor/usepro.xml	2007-05-22 18:35:49 UTC (rev 2990)
+++ docs/usefor/usepro.xml	2007-05-22 18:45:26 UTC (rev 2991)
@@ -373,16 +373,22 @@
               specification will add only single "!" characters between
               &lt;path-identity> strings.</t>
 
-              <t>The agent MUST then prepend its own &lt;path-identity> to
-              the Path header field content.</t>
+              <t>The agent MAY then prepend to the Path header field
+              content "!" or "!!" followed by an additional
+              &lt;path-identity> for itself other than its primary one.
+              Using "!!", and thereby adding a &lt;diag-match> since the
+              &lt;path-identity> clearly is verified, is RECOMMENDED.  This
+              step may be repeated any number of times.  This is permitted
+              for agents that have multiple &lt;path-identity>s (such as
+              during a transition from one to another).  Each of these
+              &lt;path-identity>s MUST meet the requirements set out in
+              <xref target="path" />.</t>
 
-              <t>The agent MAY then prepend additional &lt;path-identity>s
-              for itself to the Path header field content, following each
-              &lt;path-identity> so added with either "!!" or "!".  This
-              is permitted for agents that have multiple
-              &lt;path-identity>s (such as during a transition from one to
-              another).  Each of these &lt;path-identity>s MUST meet the
-              requirements set out in <xref target="path" />.</t>
+              <t>Finally, the agent MUST prepend its primary
+              &lt;path-identity> to the Path header field content.  The
+              primary &lt;path-identity> is the &lt;path-identity> it
+              normally advertises to its peers for their use in generating
+              &lt;path-diagnostic>s as described above.</t>
             </list>
           </t>